/**
 * @file Ce fichier contient les tests des resolvers des users
 * @author ofacklam
*/

import { TestSet } from '../../testData';

export const tests: TestSet = {
    description: "User type resolvers",
    tests: [
        {
            description: "user(uid) not authorized",
            query: `
                query {
                    user(uid: "oliver.facklam") {
                        uid
                    }
                }
            `,
            result: {
                "data": {
                    "user": null
                }
            }
        },

        {
            description: "searchTOL() not authorized",
            query: `
                query {
                    searchTOL(givenName: "Olivér") {
                        uid
                    }
                }
            `,
            result: {
                "data": {
                    "searchTOL": null
                }
            }
        }
    ]
}

